<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MemberSitemapPanel.inc.php" );

	class MemberSitemapPage extends DefaultFrontend {
		protected $oMemberSitemapPanel;

		public function __construct( $id = "MemberPage" , $parent = null , $pagetype = "member" ) {
			parent::__construct( $id , $parent , $pagetype );
			$this->oMemberSitemapPanel = new MemberSitemapPanel( "content_widget" , $this );
		}

		public function modifyGetPost( &$g , &$p ) {
			$retval = parent::modifyGetPost( $g , $p );
			$this->oMemberSitemapPanel->setType( $g["type"] );
			return $retval;
		}

	}

?>
